INSQUE(3)

NAME
insque, remque - insert/remove element from a queue

LIBRARY
libc

SYNOPSIS
#include <search.h>
void
insque(void *elem, void *pred);
void
remque(void *elem);

DESCRIPTION
insque() and remque() manipulate queues built from doubly linked lists. The queue can be either circular or linear. The functions expect their arguments to point to a structure whose first and second members are pointers to the next and previous element, respectively. The insque() function also allows the pred argument to be a NULL pointer for the initialization of a new linear list's head element.

STANDARDS
The insque() and remque() functions conform to p1003.1-2001.

HISTORY
The insque() and remque() are derived from the ‘insque’ and ‘remque’ instructions on the VAX. They first appeared in 4.2BSD.